Page MenuHomePhabricator

Provide some PHP support for DropdownWidget
Closed, ResolvedPublic

Description

We have no PHP support for any kind of SelectWidget, in particular no DropdownWidget (corresponds to <select> element).

Plan:

  • Create a new DropdownInputWidget class:
    • In PHP, it's just a wrapper around a <select>
    • In JS, it's a wrapper around a <input type=hidden> and a proper fun-enabled DropdownWidget
  • Possibly extend this approach for MultiSelectInputWidget and such in the future…

Event Timeline

matmarex created this task.Jan 10 2015, 1:56 AM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: OOUI.
matmarex added a subscriber: matmarex.
Jdforrester-WMF renamed this task from No PHP support for any kind of SelectWidget to Provide some PHP support for SelectWidget.Jan 10 2015, 1:57 AM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
matmarex renamed this task from Provide some PHP support for SelectWidget to Provide some PHP support for DropdownWidget.Jan 15 2015, 12:42 AM
matmarex updated the task description. (Show Details)
matmarex claimed this task.Jan 15 2015, 1:00 AM
Jdforrester-WMF moved this task from Backlog to Next-up on the OOUI board.Jan 15 2015, 2:21 AM
gerritbot added a subscriber: gerritbot.

Change 185376 had a related patch set uploaded (by Bartosz Dziewoński):
[WIP] Introduce DropdownInputWidget

https://gerrit.wikimedia.org/r/185376

Patch-For-Review

Change 185376 merged by jenkins-bot:
Introduce DropdownInputWidget

https://gerrit.wikimedia.org/r/185376

Jdforrester-WMF closed this task as Resolved.Jan 28 2015, 2:00 AM
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:57 PM